Summary:	cdlabelgen - generates frontcards and traycards for CDs
Summary(pl.UTF-8):	Program do generowania wkładek do pudełek na płyty CD
Name:		cdlabelgen
Version:	4.3.0
Release:	1
License:	BSD-like
Group:		Applications/Text
Source0:	https://www.aczoom.com/pub/tools/%{name}-%{version}.tgz
# Source0-md5:	8b6233fd43e2cb29f96d38e09a45824b
URL:		https://www.aczoom.com/tools/cdinsert/
BuildRequires:	perl-devel >= 1:5.6.1
BuildRequires:	perl-tools-pod
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is BETA software! Please be gentle. cdlabelgen was designed to
simplify the process of generating labels for CD's. It originated as a
program to allow auto generation of frontcards and traycards for CD's
burned via an automated mechanism (specifically for archiving data).
Note that cdlabelgen does not actually print anything--it just spits
out postscript, which you can then do with as you please.

%description -l pl.UTF-8
Program ten jest w fazie beta! Prosimy o wyrozumiałość. Cdlabelgen
napisano w celu uproszczenia procesu tworzenia etykiet na CD. Powstał
jako projekt, który miał pomóc w automatycznej generacji wkładek do
pudełek na wypalane płyty CD (zwłaszcza przy archiwizacji danych).
Należy zwrócić uwagę, że cdlabelgen sam w sobie nic nie drukuje,
tworzy jedynie plik postscriptowy, który można samemu wydrukować.

%prep
%setup -q

%build
pod2man --section=1 cdlabelgen.pod > cdlabelgen.1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} install \
	BASE_DIR=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/cdlabelgen
%{_mandir}/man1/cdlabelgen.1*
%{_datadir}/cdlabelgen
%changelog
* Sat Mar 09 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cdlabelgen.git;a=log;h=master

* Sat Mar 09 2024 Jakub Bogusz <qboosh@pld-linux.org> 17a4756
- updated to 4.3.0

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 11641e7
- drop obsolete and outdated manual inclusion of rpm macros

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 664932f
- dropped pre-cvs changelog

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 3ea0353
- 4.0.0
- removed obsolete patch

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> fed708e
- outdated

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 3e6d2a8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e5f4177
- converted to UTF-8

* Fri Jan 21 2005 Artur Frysiak <artur@frysiak.net> 7e19f57
- updated to 3.5.0
- fixed URLs

* Thu Jan 20 2005 Artur Frysiak <artur@frysiak.net> 1b1a9d9
- updated to 3.5.0

* Sat Jan 15 2005 darekr <darekr@pld-linux.org> 30e17ab
- BR: perl-tools-pod

* Sun May 09 2004 ankry <ankry@pld-linux.org> dbd9cd8
- BR fixes, rel. 2

* Sun Aug 24 2003 Marcin Winkler <qurczak@gmail.com> 0e13cc8
- ec6d47404e07054af73d307bfe613e53  squid-2.5.STABLE3-ncsa_auth_passwdfile.patch

* Sun Aug 10 2003 ankry <ankry@pld-linux.org> e5e263d
- fixed md5

* Sun Aug 10 2003 Marcin Winkler <qurczak@gmail.com> b18d898
- updated to 2.6.1

* Wed Aug 06 2003 kloczek <kloczek@pld-linux.org> af03ff7
- może wrescie ktoś wykasuje to konto ?

* Wed May 28 2003 Michal Moskal <michal@moskal.me> c640cc7
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 0697250
- massive attack s/pld.org.pl/pld-linux.org/

* Mon May 12 2003 Artur Frysiak <artur@frysiak.net> dc86333
- up to 2.6.0

* Sun Dec 29 2002 hunter <hunter@pld-linux.org> 2386997
- man/share correction

* Sun Dec 29 2002 hunter <hunter@pld-linux.org> af74e47
- up to 2.50

